%% this is a demo for the FASTEN-N+
% --Introduction:
%   It calculates the similarity matrix between two attributed graphs "flickr" and "lastfm". 
%   The similarity matrix is represented by low-rank matrices XLt, XRt.
%   For the detailed meaning of each input/output in the main function,
%   please see the notation in Attr_Main_Block_ugly.m

% Initialization
clear all
load('flickr-lastfm-attr.mat');
n1 = size(flickr,1);
n2 = size(lastfm,1);
tol = 2e-5;
k1 = 4;
epsilon = 1e-9;
max_iter = 30;
CGmax_iter = 30;
alpha = 0.5;
H = ones(n2,n1)/(n2*n1);
label1 = flickr_gender_node_label;
label2 = lastfm_gender_node_label;
% call the main function
[XLt, XRt, flag, iter, re, time] = Attr_Main_Block_ugly(flickr, lastfm, label1, label2, l_node, tol, k1, max_iter, alpha);