%% this is a demo for the FASTEN-N
% --Introduction:
%   It calculates the similarity matrix between two attributed graphs "flickr" and "lastfm". 
%   The similarity matrix is the solution matrix XB.
%   For the detailed meaning of each input/output in the main function,
%   please see the notation in Attr_Main_Block.m

% Initialization
clear all
load('flickr-lastfm-attr.mat');
n1 = size(flickr,1);
n2 = size(flickr,1);
tol = 1e-5;
k1 = 5;
epsilon = 1e-8;
max_iter = 30;
CGmax_iter = 30;
alpha = 0.5;
H = ones(n1,n1)/(n1*n1);
label1 = flickr_gender_node_label;
label2 = lastfm_gender_node_label;
% call the main function
[XB, flag, iter, re, time] = Attr_Main_Block(flickr, flickr, label1, label1, l_node, zeros(n1,n1), H, tol, k1, max_iter, alpha);